Index: LMDZ6/branches/Portage_acc/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 4446)
@@ -3087,12 +3089,12 @@
        IF (lminmax) THEN
 
-         print *,'Check sum after cvltr it',it,SUM(tr_seri(:,:,it))
-        CALL minmaxqfi2(d_tr_cv(:,:,it),qmin,qmax,'d_tr_cv:')
-        CALL minmaxqfi2(d_tr_trsp(:,:,it),qmin,qmax,'d_tr_trsp:')
-        CALL minmaxqfi2(d_tr_sscav(:,:,it),qmin,qmax,'d_tr_sscav:')
-        CALL minmaxqfi2(d_tr_sat(:,:,it),qmin,qmax,'d_tr_sat:')
-        CALL minmaxqfi2(d_tr_uscav(:,:,it),qmin,qmax,'d_tr_uscav:')
+         print *,'Check sum after cvltr itr)',itr,SUM(tr_seri(:,:,itr))
+        CALL minmaxqfi2(d_tr_cv(:,:,itr),qmin,qmax,'d_tr_cv:')
+        CALL minmaxqfi2(d_tr_trsp(:,:,itr),qmin,qmax,'d_tr_trsp:')
+        CALL minmaxqfi2(d_tr_sscav(:,:,itr),qmin,qmax,'d_tr_sscav:')
+        CALL minmaxqfi2(d_tr_sat(:,:,itr),qmin,qmax,'d_tr_sat:')
+        CALL minmaxqfi2(d_tr_uscav(:,:,itr),qmin,qmax,'d_tr_uscav:')
       IF (lcheckmass) THEN
-        CALL checkmass(d_tr_cv(:,:,it),RNAVO,masse(it),zdz,  &
+        CALL checkmass(d_tr_cv(:,:,itr),RNAVO,masse(itr),zdz,  &
            pplay,t_seri,.false.,'d_tr_cv:')
       ENDIF
@@ -3102,13 +3104,13 @@
         ENDIF ! iflag_conv
        IF (lminmax) THEN
-        DO it=1,nbtr
-        CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_after_trcon')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'after trconv')
+        DO itr=1,nbtr
+        CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_after_trcon')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'after trconv')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz, &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz, &
            pplay,t_seri,iscm3,'after trconv')
         ENDDO
@@ -3155,7 +3157,7 @@
       call iophys_ecrit('wdtrainM',klev,'wdtrainM','',wdtrainM)
 
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('TRI'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('TRI'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -3171,13 +3173,13 @@
        print *,' BEFORE lsc_scav '
        IF (lminmax) THEN
-        DO it=1,nbtr
-       CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_before_lsc_scav')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'before lsc_scav')
+        DO itr=1,nbtr
+       CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_before_lsc_scav')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'before lsc_scav')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz,  &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz,  &
            pplay,t_seri,iscm3,'before lsc_scav')
         ENDDO
@@ -3196,5 +3198,5 @@
       !IF (.false.) THEN  ! test #DFB (Binta) sans lsc_scav_spl
         print *,'JE iflag_lscav',iflag_lscav
-        DO it = 1, nbtr
+        DO itr=1,nbtr
 
 !       incloud scavenging and removal by large scale rain ! orig : ql_incl
@@ -3203,9 +3205,9 @@
 !         Liu (2001) proposed to use 1.5e-3 kg/kg
 
-!       CALL lsc_scav_orig(pdtphys,it,iflag_lscav,ql_incl,prfl,psfl,
+!       CALL lsc_scav_orig(pdtphys,itr,iflag_lscav,ql_incl,prfl,psfl,
 !     .               rneb,beta_fisrt, beta_v1,pplay,paprs,
 !     .               t_seri,tr_seri,d_tr_insc, 
 !     .               d_tr_bcscav,d_tr_evapls,qPrls)
-          CALL lsc_scav_spl(pdtphys,it,iflag_lscav,ql_incl,prfl,psfl,  &
+          CALL lsc_scav_spl(pdtphys,itr,iflag_lscav,ql_incl,prfl,psfl,  &
                     rneb,beta_fisrt, beta_v1,pplay,paprs,      &
                     t_seri,tr_seri,d_tr_insc,                  &
@@ -3217,8 +3219,8 @@
           DO k = 1, klev
            DO i = 1, klon
-                d_tr_ls(i,k,it)=d_tr_insc(i,k,it)+d_tr_bcscav(i,k,it) &
-                        +d_tr_evapls(i,k,it)
-                tr_seri(i,k,it)=tr_seri(i,k,it)+d_tr_ls(i,k,it)
-                         tmp_var(i,k)=d_tr_ls(i,k,it)
+                d_tr_ls(i,k,itr)=d_tr_insc(i,k,itr)+d_tr_bcscav(i,k,itr) &
+                        +d_tr_evapls(i,k,itr)
+                tr_seri(i,k,itr)=tr_seri(i,k,itr)+d_tr_ls(i,k,itr)
+                         tmp_var(i,k)=d_tr_ls(i,k,itr)
            ENDDO
           ENDDO
@@ -3228,6 +3230,6 @@
           DO k=1,klev
            DO i=1,klon
-            his_dhkelsc(i,it)=his_dhkelsc(i,it)-tmp_var(i,k)    &
-                     /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys
+            his_dhkelsc(i,itr)=his_dhkelsc(i,itr)-tmp_var(i,k)    &
+                     /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys
      
            END DO
@@ -3238,7 +3240,7 @@
       ELSE
         print *,'WARNING: NO lsc_scav, Please choose iflag_lscav=3 or 4'
-        DO it = 1, nbtr
+        DO itr=1,nbtr
           DO i=1,klon
-            his_dhkelsc(i,it)=0.0
+            his_dhkelsc(i,itr)=0.0
           END DO  ! klon
          END DO  !it=1,nbtr
@@ -3247,13 +3249,13 @@
        print *,' AFTER lsc_scav '
        IF (lminmax) THEN
-        DO it=1,nbtr
-       CALL checknanqfi(tr_seri(:,:,it),qmin,qmax,'nan_after_lsc_scav')
-        ENDDO
-        DO it=1,nbtr
-        CALL minmaxqfi2(tr_seri(:,:,it),qmin,qmax,'after lsc_scav')
+        DO itr=1,nbtr
+       CALL checknanqfi(tr_seri(:,:,itr),qmin,qmax,'nan_after_lsc_scav')
+        ENDDO
+        DO itr=1,nbtr
+        CALL minmaxqfi2(tr_seri(:,:,itr),qmin,qmax,'after lsc_scav')
         ENDDO
       IF (lcheckmass) THEN
-        DO it=1,nbtr
-         CALL checkmass(tr_seri(:,:,it),RNAVO,masse(it),zdz, &
+        DO itr=1,nbtr
+         CALL checkmass(tr_seri(:,:,itr),RNAVO,masse(itr),zdz, &
            pplay,t_seri,iscm3,'after lsc_scav')
         ENDDO
@@ -3281,7 +3283,7 @@
 !=======================================================================
 #ifdef IOPHYS_DUST
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('TRJ'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('TRJ'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -3293,8 +3295,8 @@
 
   
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO j=1,klev
         DO i=1,klon
-           tmp_var(i,j)=tr_seri(i,j,it)
+           tmp_var(i,j)=tr_seri(i,j,itr)
         ENDDO
         ENDDO
@@ -3302,5 +3304,5 @@
         DO j=1,klev
         DO i=1,klon
-           tr_seri(i,j,it)=tmp_var(i,j)
+           tr_seri(i,j,itr)=tmp_var(i,j)
         ENDDO
         ENDDO
@@ -3310,9 +3312,9 @@
 !
 ! Computing burden in mg/m2
-      DO it=1, nbtr
+      DO itr=1,nbtr
       DO k=1, klev
       DO i=1, klon
-        trm(i,it)=trm(i,it)+tr_seri(i,k,it)*1.e6*zdz(i,k)*  &
-                 masse(it)*1.e3/RNAVO     !--mg S/m2
+        trm(i,itr)=trm(i,itr)+tr_seri(i,k,itr)*1.e6*zdz(i,k)*  &
+                 masse(itr)*1.e3/RNAVO     !--mg S/m2
       ENDDO
       ENDDO
@@ -3321,8 +3323,8 @@
 ! Computing Surface concentration in ug/m3
 !
-      DO it=1, nbtr
+      DO itr=1,nbtr
       DO i=1, klon
-        sconc_seri(i,it)=tr_seri(i,1,it)*1.e6* &
-                 masse(it)*1.e3/RNAVO     !--mg/m3 (tr_seri ist in g/cm3)
+        sconc_seri(i,itr)=tr_seri(i,1,itr)*1.e6* &
+                 masse(itr)*1.e3/RNAVO     !--mg/m3 (tr_seri ist in g/cm3)
       ENDDO
       ENDDO
@@ -3556,7 +3558,7 @@
 !======================================================================
 #ifdef IOPHYS_DUST
-      do it=1,nbtr
-         write(str2,'(i2.2)') it
-         call iophys_ecrit('TRK'//str2,klev,'SOURCE','',tr_seri(:,:,it))
+      do itr=1,nbtr
+         write(str2,'(i2.2)') itr
+         call iophys_ecrit('TRK'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
       enddo
 #endif
@@ -3568,8 +3570,8 @@
       ENDIF
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
          DO j=1,klev
          DO i=1,klon
-           tmp_var(i,j)=tr_seri(i,j,it)
+           tmp_var(i,j)=tr_seri(i,j,itr)
          ENDDO 
          ENDDO
@@ -3577,5 +3579,5 @@
          DO j=1,klev
          DO i=1,klon
-           tr_seri(i,j,it)=tmp_var(i,j)
+           tr_seri(i,j,itr)=tmp_var(i,j)
          ENDDO 
          ENDDO
@@ -3726,8 +3728,8 @@
 !      prepare outputs cvltr
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_cv(i,k,it)
+           tmp_var(i,k)=d_tr_cv(i,k,itr)
         ENDDO
         ENDDO
@@ -3735,13 +3737,13 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_cv_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_cv_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
       ENDDO
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_trsp(i,k,it)
+           tmp_var(i,k)=d_tr_trsp(i,k,itr)
         ENDDO
         ENDDO
@@ -3749,13 +3751,13 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_trsp_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_trsp_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
       ENDDO
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_sscav(i,k,it)
+           tmp_var(i,k)=d_tr_sscav(i,k,itr)
         ENDDO
         ENDDO
@@ -3763,13 +3765,13 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_sscav_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_sscav_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
       ENDDO
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_sat(i,k,it)
+           tmp_var(i,k)=d_tr_sat(i,k,itr)
         ENDDO
         ENDDO
@@ -3777,13 +3779,13 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_sat_o(i,k,it)=tmp_var(i,k)   &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_sat_o(i,k,itr)=tmp_var(i,k)   &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
       ENDDO
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_uscav(i,k,it)
+           tmp_var(i,k)=d_tr_uscav(i,k,itr)
         ENDDO
         ENDDO
@@ -3791,6 +3793,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_uscav_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_uscav_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3798,8 +3800,8 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_insc(i,k,it)
+           tmp_var(i,k)=d_tr_insc(i,k,itr)
         ENDDO
         ENDDO
@@ -3807,6 +3809,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_insc_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_insc_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3814,8 +3816,8 @@
      
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_bcscav(i,k,it)
+           tmp_var(i,k)=d_tr_bcscav(i,k,itr)
         ENDDO
         ENDDO
@@ -3823,6 +3825,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_bcscav_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_bcscav_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3830,8 +3832,8 @@
 
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_evapls(i,k,it)
+           tmp_var(i,k)=d_tr_evapls(i,k,itr)
         ENDDO
         ENDDO
@@ -3839,6 +3841,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_evapls_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_evapls_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3846,8 +3848,8 @@
 
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_ls(i,k,it)
+           tmp_var(i,k)=d_tr_ls(i,k,itr)
         ENDDO
         ENDDO
@@ -3855,6 +3857,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_ls_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_ls_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3862,8 +3864,8 @@
 
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_dyn(i,k,it)
+           tmp_var(i,k)=d_tr_dyn(i,k,itr)
         ENDDO
         ENDDO
@@ -3871,6 +3873,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_dyn_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_dyn_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3878,8 +3880,8 @@
 
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_cl(i,k,it)
+           tmp_var(i,k)=d_tr_cl(i,k,itr)
         ENDDO
         ENDDO
@@ -3887,6 +3889,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_cl_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_cl_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3894,8 +3896,8 @@
 
 
-      DO it=1, nbtr
+      DO itr=1,nbtr
         DO k=1,klev
         DO i=1,klon
-           tmp_var(i,k)=d_tr_th(i,k,it)
+           tmp_var(i,k)=d_tr_th(i,k,itr)
         ENDDO
         ENDDO
@@ -3903,6 +3905,6 @@
        DO k=1,klev
         DO i=1,klon
-          d_tr_th_o(i,k,it)=tmp_var(i,k)  &
-                         /RNAVO*masse(it)*1.e3*1.e6*zdz(i,k)/pdtphys  
+          d_tr_th_o(i,k,itr)=tmp_var(i,k)  &
+                         /RNAVO*masse(itr)*1.e3*1.e6*zdz(i,k)/pdtphys  
         ENDDO
        ENDDO
@@ -3911,9 +3913,9 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-     DO it=1,nbtr
-      WRITE(str2,'(i2.2)') it
+     DO itr=1,nbtr
+      WRITE(str2,'(i2.2)') itr
        DO i=1, klon                                                        
-        his_dh(i,it)= his_dhlsc(i,it)+his_dhcon(i,it)+               &
-                   his_dhbclsc(i,it)+his_dhbccon(i,it)
+        his_dh(i,itr)= his_dhlsc(i,itr)+his_dhcon(i,itr)+               &
+                   his_dhbclsc(i,itr)+his_dhbccon(i,itr)
 
        ENDDO
Index: LMDZ6/branches/Portage_acc/libf/phylmd/Dust/splaeropt_5wv_rrtm.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/Dust/splaeropt_5wv_rrtm.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/Dust/splaeropt_5wv_rrtm.F90	(revision 4446)
@@ -120,6 +120,6 @@
       CASE('FINE'); soluble=.TRUE.;  spsol=1; aerindex=1   !--fine mode accumulation mode
       CASE('COSS'); soluble=.TRUE.;  spsol=2; aerindex=2   !--coarse mode sea salt
-      CASE('CODU'); soluble=.FALSE.; spsol=1; aerindex=3   !--coarse mode dust
-      CASE('SCDU'); soluble=.FALSE.; spsol=2; aerindex=4   !--super coarse mode dust
+      CASE('CODU'); soluble=.FALSE.; spinsol=1; aerindex=3   !--coarse mode dust
+      CASE('SCDU'); soluble=.FALSE.; spinsol=2; aerindex=4   !--super coarse mode dust
       CASE DEFAULT; CALL abort_physic(modname,'I cannot do aerosol optics for '//tracers(iq)%name,1)
     END SELECT
Index: LMDZ6/branches/Portage_acc/libf/phylmd/Dust/splaeropt_6bands_rrtm.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/Dust/splaeropt_6bands_rrtm.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/Dust/splaeropt_6bands_rrtm.F90	(revision 4446)
@@ -173,6 +173,6 @@
       CASE('FINE'); soluble=.TRUE.;  spsol=1; aerindex=1   !--fine mode accumulation mode
       CASE('COSS'); soluble=.TRUE.;  spsol=2; aerindex=2   !--coarse mode sea salt
-      CASE('CODU'); soluble=.FALSE.; spsol=1; aerindex=3   !--coarse mode dust
-      CASE('SCDU'); soluble=.FALSE.; spsol=2; aerindex=4   !--super coarse mode dust
+      CASE('CODU'); soluble=.FALSE.; spinsol=1; aerindex=3   !--coarse mode dust
+      CASE('SCDU'); soluble=.FALSE.; spinsol=2; aerindex=4   !--super coarse mode dust
       CASE DEFAULT; CALL abort_physic(modname,'I cannot do aerosol optics for '//tracers(iq)%name,1)
     END SELECT
Index: LMDZ6/branches/Portage_acc/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90	(revision 4446)
@@ -11,6 +11,7 @@
   ! the depth of a sensor, or the depth at the middle of the first
   ! layer of an ocean model (half the depth of the first layer). In
-  ! m. Setting depth_1 to any value >= depth has the same effect as
-  ! setting depth_1 to depth.
+  ! m. Setting depth_1 to any value >= depth (named constant defined
+  ! in module `near_Surface_m`) has the same effect as setting depth_1
+  ! to depth.
 
   !$omp threadprivate(jcool, jwarm, rain_effect, depth_1)
Index: LMDZ6/branches/Portage_acc/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90	(revision 4446)
@@ -5,12 +5,16 @@
 contains
 
+#ifdef IN_LMDZ
   real function sens_heat_rain(rain, t, q, rhoa, xlv, t_int, p)
+#else
+  elemental real function sens_heat_rain(rain, t, q, rhoa, xlv, t_int, p)
+#endif
 
     ! Computes heat flux due to rainfall, in W m-2, positive
     ! upward.
 
-    ! Do not declare this function as elemental because it may include
-    ! YOMCST.h, which contains an OpenMP directive, and that only
-    ! works in OpenMP 5.0.
+    ! If in LMDZ, do not declare this function as elemental because
+    ! YOMCST.h contains an OpenMP directive, and that only works in
+    ! OpenMP 5.0.
 
     use const, only: cpa, cpw, rgas
Index: LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 4446)
@@ -16,5 +16,4 @@
   INCLUDE "clesphys.h"
   INCLUDE "paramet.h"
-  INCLUDE "thermcell.h"
   INCLUDE "iniprint.h"
 
Index: LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/micphy_tstep.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/micphy_tstep.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/micphy_tstep.F90	(revision 4446)
@@ -7,5 +7,5 @@
   USE dimphy, ONLY : klon,klev
   USE aerophys
-  USE infotrac_phy
+  USE infotrac_phy, ONLY : nbtr_bin, nbtr_sulgas, nbtr, id_H2SO4_strat
   USE phys_local_var_mod, ONLY: mdw, budg_3D_nucl, budg_3D_cond_evap, budg_h2so4_to_part, R2SO4, DENSO4, f_r_wet
   USE nucleation_tstep_mod
@@ -47,5 +47,5 @@
   REAL ASO4(nbtr_bin)
   REAL DNDR(nbtr_bin)
-  REAL H2SO4_sat(nbtr_bin)
+  REAL H2SO4_sat
 
   DO it=1,nbtr_bin
@@ -107,4 +107,6 @@
              & ACTSO4(ilon,ilev),R2SO4(ilon,ilev),DENSO4(ilon,ilev),f_r_wet(ilon,ilev), &
              & RRSI,Vbin,FL,ASO4,DNDR)
+      ! Compute H2SO4 saturate vapor for big particules
+      H2SO4_sat = DNDR(nbtr_bin)/(pplay(ilon,ilev)/t_seri(ilon,ilev)/RD/1.E6/mH2SO4mol)
       ! consider only condensation (positive FL)
       DO it=1,nbtr_bin
@@ -117,5 +119,5 @@
       ENDDO
       ! determine appropriate time step
-      dt=(H2SO4_init-H2SO4_sat(nbtr_bin))/float(nbtstep)/MAX(1.e-30, nucl_rate+cond_evap_rate) !cond_evap_rate pos. for cond. and neg. for evap.
+      dt=(H2SO4_init-H2SO4_sat)/float(nbtstep)/MAX(1.e-30, nucl_rate+cond_evap_rate) !cond_evap_rate pos. for cond. and neg. for evap.
       IF (dt.LT.0.0) THEN
         dt=PDT
Index: LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/nucleation_tstep_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 4446)
@@ -604,5 +604,5 @@
      na_n=x_n*ntot_n
      IF (na_n .LT. 1.) THEN
-        print *, 'Warning: number of acid molecules < 1 in nucleation regime, setting na_n=1'
+!        print *, 'Warning: number of acid molecules < 1 in nucleation regime, setting na_n=1'
         na_n=1.0
      ENDIF
Index: LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/strataer_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/strataer_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/strataer_mod.F90	(revision 4446)
@@ -79,5 +79,6 @@
     !Config Help = Used in physiq.F
     !
-    flag_sulf_emit = 0
+    flag_sulf_emit = 0 ! Background (default)
+    flag_sulf_emit_distrib = 0 ! Gaussian (default)
     nErupt = 0 ! eruption number
     injdur = 0 ! init injection duration
@@ -87,4 +88,31 @@
        CALL getin_p('nErupt',nErupt)
        CALL getin_p('injdur',injdur)
+       CALL getin_p('flag_sulf_emit_distrib',flag_sulf_emit_distrib)
+
+       year_emit_vol=0 ; mth_emit_vol=0 ; day_emit_vol=0
+       m_aer_emiss_vol=0. ; altemiss_vol=0. ; sigma_alt_vol=0.
+       xlon_min_vol=0. ; xlon_max_vol=0.
+       xlat_min_vol=0. ; xlat_max_vol=0.
+
+       IF (nErupt.GT.0) THEN
+          ALLOCATE(year_emit_vol(nErupt),mth_emit_vol(nErupt),day_emit_vol(nErupt))
+          ALLOCATE(m_aer_emiss_vol(nErupt),altemiss_vol(nErupt),sigma_alt_vol(nErupt))
+          ALLOCATE(xlat_min_vol(nErupt),xlon_min_vol(nErupt))
+          ALLOCATE(xlat_max_vol(nErupt),xlon_max_vol(nErupt))
+       ELSE
+          WRITE(lunout,*) 'ERROR : Using flag_sulf_emit=1 (ie Volcanic eruption) but nErupt (',nErupt,') <=0 !'
+          CALL abort_physic('strataer_mod','No eruption define in physiq_def (nErupt=0). Add one or use background condition.',1)
+       ENDIF
+
+       CALL getin_p('year_emit_vol',year_emit_vol)
+       CALL getin_p('mth_emit_vol',mth_emit_vol)
+       CALL getin_p('day_emit_vol',day_emit_vol)
+       CALL getin_p('m_aer_emiss_vol',m_aer_emiss_vol)
+       CALL getin_p('altemiss_vol',altemiss_vol)
+       CALL getin_p('sigma_alt_vol',sigma_alt_vol)
+       CALL getin_p('xlon_min_vol',xlon_min_vol)
+       CALL getin_p('xlon_max_vol',xlon_max_vol)
+       CALL getin_p('xlat_min_vol',xlat_min_vol)
+       CALL getin_p('xlat_max_vol',xlat_max_vol)
     ELSEIF (flag_sulf_emit == 2) THEN ! SAI
        CALL getin_p('m_aer_emiss_sai',m_aer_emiss_sai)
@@ -93,5 +121,4 @@
        CALL getin_p('xlat_sai',xlat_sai)
        CALL getin_p('xlon_sai',xlon_sai)
-       CALL getin_p('flag_sulf_emit_distrib',flag_sulf_emit_distrib)
     ELSEIF (flag_sulf_emit == 3) THEN ! SAI between latitudes
        CALL getin_p('m_aer_emiss_sai',m_aer_emiss_sai)
@@ -101,29 +128,6 @@
        CALL getin_p('xlat_max_sai',xlat_max_sai)
        CALL getin_p('xlat_min_sai',xlat_min_sai)
-       CALL getin_p('flag_sulf_emit_distrib',flag_sulf_emit_distrib)
     ENDIF
 
-    ALLOCATE(year_emit_vol(nErupt),mth_emit_vol(nErupt),day_emit_vol(nErupt))
-    ALLOCATE(m_aer_emiss_vol(nErupt),altemiss_vol(nErupt),sigma_alt_vol(nErupt))
-    ALLOCATE(xlat_min_vol(nErupt),xlon_min_vol(nErupt))
-    ALLOCATE(xlat_max_vol(nErupt),xlon_max_vol(nErupt))
-    
-    IF (nErupt.GT.0) THEN 
-      year_emit_vol=0 ; mth_emit_vol=0 ; day_emit_vol=0
-      m_aer_emiss_vol=0. ; altemiss_vol=0. ; sigma_alt_vol=0.
-      xlon_min_vol=0. ; xlon_max_vol=0.
-      xlat_min_vol=0. ; xlat_max_vol=0.
-    ENDIF
-    
-    CALL getin_p('year_emit_vol',year_emit_vol)
-    CALL getin_p('mth_emit_vol',mth_emit_vol)
-    CALL getin_p('day_emit_vol',day_emit_vol)
-    CALL getin_p('m_aer_emiss_vol',m_aer_emiss_vol)
-    CALL getin_p('altemiss_vol',altemiss_vol)
-    CALL getin_p('sigma_alt_vol',sigma_alt_vol)
-    CALL getin_p('xlon_min_vol',xlon_min_vol)
-    CALL getin_p('xlon_max_vol',xlon_max_vol)
-    CALL getin_p('xlat_min_vol',xlat_min_vol)
-    CALL getin_p('xlat_max_vol',xlat_max_vol)
     !Config Key  = flag_nuc_rate_box
     !Config Desc = define or not a box for nucleation rate
@@ -136,4 +140,7 @@
     !
     flag_nuc_rate_box = .FALSE.
+    nuclat_min=0  ; nuclat_max=0
+    nucpres_min=0 ; nucpres_max=0
+
     CALL getin_p('flag_nuc_rate_box',flag_nuc_rate_box)
     CALL getin_p('nuclat_min',nuclat_min)
@@ -153,5 +160,4 @@
        WRITE(lunout,*) 'IN STRATAER : altemiss_vol',altemiss_vol
        WRITE(lunout,*) 'IN STRATAER : sigma_alt_vol',sigma_alt_vol
-       WRITE(lunout,*) 'IN STRATAER : ponde_lonlat_vol',ponde_lonlat_vol
        WRITE(lunout,*) 'IN STRATAER : xlat_min_vol',xlat_min_vol
        WRITE(lunout,*) 'IN STRATAER : xlat_max_vol',xlat_max_vol
@@ -164,5 +170,4 @@
        WRITE(lunout,*) 'IN STRATAER : xlat_sai',xlat_sai
        WRITE(lunout,*) 'IN STRATAER : xlon_sai',xlon_sai
-       WRITE(lunout,*) 'flag_sulf_emit_distrib = ',flag_sulf_emit_distrib
     ELSEIF (flag_sulf_emit == 3) THEN
        WRITE(lunout,*) 'IN STRATAER : m_aer_emiss_sai',m_aer_emiss_sai
@@ -172,6 +177,6 @@
        WRITE(lunout,*) 'IN STRATAER : xlat_max_sai',xlat_max_sai
        WRITE(lunout,*) 'IN STRATAER : xlon_sai',xlon_sai
-       WRITE(lunout,*) 'flag_sulf_emit_distrib = ',flag_sulf_emit_distrib
     ENDIF
+    WRITE(lunout,*) 'flag_sulf_emit_distrib = ',flag_sulf_emit_distrib
     WRITE(lunout,*) 'IN STRATAER : flag_nuc_rate_box = ',flag_nuc_rate_box
     IF (flag_nuc_rate_box) THEN
@@ -181,6 +186,9 @@
     !ENDIF
 
-    CALL strataer_ponde_init
-    WRITE(lunout,*) 'IN STRATAER INT2 END'
+    IF (flag_sulf_emit == 1) THEN
+       CALL strataer_ponde_init
+       WRITE(lunout,*) 'IN STRATAER INT2 END'
+    END IF
+    WRITE(lunout,*) 'IN STRATAER END'
 
   END SUBROUTINE strataer_init
Index: LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/traccoag_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/traccoag_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/StratAer/traccoag_mod.F90	(revision 4446)
@@ -17,5 +17,5 @@
 
     USE dimphy
-    USE infotrac_phy
+    USE infotrac_phy, ONLY : nbtr_bin, nbtr_sulgas, nbtr, id_SO2_strat
     USE aerophys
     USE geometry_mod, ONLY : cell_area, boundslat
@@ -23,5 +23,5 @@
     USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
     USE mod_phys_lmdz_para, only: gather, scatter
-    USE phys_cal_mod
+    USE phys_cal_mod, ONLY : year_len, year_cur,mth_cur, day_cur, hour
     USE sulfate_aer_mod
     USE phys_local_var_mod, ONLY: stratomask
@@ -29,5 +29,4 @@
     USE print_control_mod, ONLY: lunout
     USE strataer_mod
-    USE phys_cal_mod, ONLY : year_len
 
     IMPLICIT NONE
Index: LMDZ6/branches/Portage_acc/libf/phylmd/aero_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/aero_mod.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/aero_mod.F90	(revision 4446)
@@ -53,17 +53,17 @@
 ! Corresponding names for the aerosols
   CHARACTER(len=7),DIMENSION(naero_spc), PARAMETER :: name_aero=(/&
-       "ASBCM  ", &
-       "ASPOMM ", &
-       "SO4    ", &
-       "CSSO4M ", &
-       "SSSSM  ", &
-       "CSSSM  ", &
-       "ASSSM  ", &
-       "CIDUSTM", &
-       "AIBCM  ", &
-       "AIPOMM " ,&
-       "ASNO3M ", & 
-       "CSNO3M ", &
-       "CINO3M " /)
+       "ASBCM  ", & ! Accumulation-mode Soluble Black Carbon Mass 
+       "ASPOMM ", & ! Accumulation-mode Soluble Particle Organic Matter Mass
+       "SO4    ", & ! Accumulation-mode Soluble Sulfate
+       "CSSO4M ", & ! Coarse-mode Soluble Sulfate Mass
+       "SSSSM  ", & ! Super-coarse mode Soluble Sea-Salt Mass
+       "CSSSM  ", & ! Coarse-mode Soluble Sea-Salt Mass
+       "ASSSM  ", & ! Accumulation-mode Soluble Sea-Salt Mass
+       "CIDUSTM", & ! Coarse-mode Insoluble Dust Mass
+       "AIBCM  ", & ! Accumulation-mode Insoluble Black Carbon Mass
+       "AIPOMM " ,& ! Accumulation-mode Insoluble Particle Organic Matter Mass 
+       "ASNO3M ", & ! Accumulation-mode Soluble Nitrate Mass
+       "CSNO3M ", & ! Coarse-mode Soluble Nitrate Mass
+       "CINO3M " /) ! Coarse-mode Insoluble Nitrate Mass
 
 ! 3/ Number of aerosol groups
